AstrologyAPI

Use access token to call astrology api.

Learn More

Sadhesati Life Details

POSThttps://json.astrologyapi.com/v1/sadhesati_life_details
Copy

This API provides details about Sadhe Sati, a period of seven and a half years during which Saturn moves through three signs, and its effect on a person's life. The response includes a summary of Sadhe Sati, and a report that contains the dates, phases, and effects of Sadhe Sati based on the user's birth moon sign and Saturn's position.

POST/sadhesati_life_details
Copy
1curl --location 'https://json.astrologyapi.com/v1/sadhesati_life_details' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5
13}'
14
200Response
Copy
1[
2  {
3    "moon_sign": "Aries",
4    "saturn_sign": "Gemini",
5    "is_saturn_retrograde": false,
6    "type": "SETTING_END",
7    "millisecond": "1027386000000",
8    "date": "23-7-2002",
9    "summary": "Sadhesati Setting Phase ending and with this Sadhesati is also ending."
10  },
11  {
12    "moon_sign": "Aries",
13    "saturn_sign": "Gemini",
14    "is_saturn_retrograde": true,
15    "type": "SETTING_START",
16    "millisecond": "1041987600000",
17    "date": "8-1-2003",
18    "summary": "Sadhesati Setting Phase starting with Peak Phase ending."
19  },
20  {
21    "moon_sign": "Aries",
22    "saturn_sign": "Gemini",
23    "is_saturn_retrograde": false,
24    "type": "SETTING_END",
25    "millisecond": "1049763600000",
26    "date": "8-4-2003",
27    "summary": "Sadhesati Setting Phase ending and with this Sadhesati is also ending."
28  },
29  {
30    "moon_sign": "Aries",
31    "saturn_sign": "Aries",
32    "is_saturn_retrograde": false,
33    "type": "PEAK_START",
34    "millisecond": "1811984400000",
35    "date": "3-6-2027",
36    "summary": "Sadhesati Peak Phase starting with Rise Phase ending."
37  },
38  {
39    "moon_sign": "Aries",
40    "saturn_sign": "Aries",
41    "is_saturn_retrograde": true,
42    "type": "RISING_START",
43    "millisecond": "1823907600000",
44    "date": "19-10-2027",
45    "summary": "Sadhesati Rise Phase starting."
46  },
47  {
48    "moon_sign": "Aries",
49    "saturn_sign": "Aries",
50    "is_saturn_retrograde": true,
51    "type": "RISING_START",
52    "millisecond": "1823994000000",
53    "date": "20-10-2027",
54    "summary": "Sadhesati Rise Phase starting."
55  },
56  {
57    "moon_sign": "Aries",
58    "saturn_sign": "Aries",
59    "is_saturn_retrograde": true,
60    "type": "RISING_START",
61    "millisecond": "1824080400000",
62    "date": "21-10-2027",
63    "summary": "Sadhesati Rise Phase starting."
64  },
65  {
66    "moon_sign": "Aries",
67    "saturn_sign": "Aries",
68    "is_saturn_retrograde": false,
69    "type": "PEAK_START",
70    "millisecond": "1834880400000",
71    "date": "23-2-2028",
72    "summary": "Sadhesati Peak Phase starting with Rise Phase ending."
73  },
74  {
75    "moon_sign": "Aries",
76    "saturn_sign": "Taurus",
77    "is_saturn_retrograde": false,
78    "type": "RISING_START",
79    "millisecond": "1880845200000",
80    "date": "8-8-2029",
81    "summary": "Sadhesati Rise Phase starting."
82  },
83  {
84    "moon_sign": "Aries",
85    "saturn_sign": "Taurus",
86    "is_saturn_retrograde": true,
87    "type": "RISING_END",
88    "millisecond": "1885856400000",
89    "date": "5-10-2029",
90    "summary": "Sadhesati Rise Phase ending and with this Sadhesati is also ending."
91  },
92  {
93    "moon_sign": "Aries",
94    "saturn_sign": "Taurus",
95    "is_saturn_retrograde": false,
96    "type": "RISING_START",
97    "millisecond": "1902618000000",
98    "date": "17-4-2030",
99    "summary": "Sadhesati Rise Phase starting."
100  },
101  {
102    "moon_sign": "Aries",
103    "saturn_sign": "Aries",
104    "is_saturn_retrograde": false,
105    "type": "PEAK_START",
106    "millisecond": "2753830800000",
107    "date": "7-4-2057",
108    "summary": "Sadhesati Peak Phase starting with Rise Phase ending."
109  },
110  {
111    "moon_sign": "Aries",
112    "saturn_sign": "Taurus",
113    "is_saturn_retrograde": false,
114    "type": "RISING_START",
115    "millisecond": "2821309200000",
116    "date": "28-5-2059",
117    "summary": "Sadhesati Rise Phase starting."
118  },
119  {
120    "moon_sign": "Aries",
121    "saturn_sign": "Gemini",
122    "is_saturn_retrograde": false,
123    "type": "SETTING_END",
124    "millisecond": "2888269200000",
125    "date": "11-7-2061",
126    "summary": "Sadhesati Setting Phase ending and with this Sadhesati is also ending."
127  },
128  {
129    "moon_sign": "Aries",
130    "saturn_sign": "Gemini",
131    "is_saturn_retrograde": true,
132    "type": "SETTING_START",
133    "millisecond": "2907018000000",
134    "date": "13-2-2062",
135    "summary": "Sadhesati Setting Phase starting with Peak Phase ending."
136  },
137  {
138    "moon_sign": "Aries",
139    "saturn_sign": "Gemini",
140    "is_saturn_retrograde": false,
141    "type": "SETTING_END",
142    "millisecond": "2908918800000",
143    "date": "7-3-2062",
144    "summary": "Sadhesati Setting Phase ending and with this Sadhesati is also ending."
145  },
146  {
147    "moon_sign": "Aries",
148    "saturn_sign": "Aries",
149    "is_saturn_retrograde": false,
150    "type": "PEAK_START",
151    "millisecond": "3672781200000",
152    "date": "21-5-2086",
153    "summary": "Sadhesati Peak Phase starting with Rise Phase ending."
154  },
155  {
156    "moon_sign": "Aries",
157    "saturn_sign": "Aries",
158    "is_saturn_retrograde": true,
159    "type": "RISING_START",
160    "millisecond": "3687728400000",
161    "date": "10-11-2086",
162    "summary": "Sadhesati Rise Phase starting."
163  },
164  {
165    "moon_sign": "Aries",
166    "saturn_sign": "Aries",
167    "is_saturn_retrograde": false,
168    "type": "PEAK_START",
169    "millisecond": "3695504400000",
170    "date": "8-2-2087",
171    "summary": "Sadhesati Peak Phase starting with Rise Phase ending."
172  },
173  {
174    "moon_sign": "Aries",
175    "saturn_sign": "Taurus",
176    "is_saturn_retrograde": false,
177    "type": "RISING_START",
178    "millisecond": "3740950800000",
179    "date": "18-7-2088",
180    "summary": "Sadhesati Rise Phase starting."
181  },
182  {
183    "moon_sign": "Aries",
184    "saturn_sign": "Taurus",
185    "is_saturn_retrograde": true,
186    "type": "RISING_END",
187    "millisecond": "3749936400000",
188    "date": "30-10-2088",
189    "summary": "Sadhesati Rise Phase ending and with this Sadhesati is also ending."
190  },
191  {
192    "moon_sign": "Aries",
193    "saturn_sign": "Taurus",
194    "is_saturn_retrograde": false,
195    "type": "RISING_START",
196    "millisecond": "3763501200000",
197    "date": "5-4-2089",
198    "summary": "Sadhesati Rise Phase starting."
199  },
200  {
201    "moon_sign": "Aries",
202    "saturn_sign": "Gemini",
203    "is_saturn_retrograde": false,
204    "type": "SETTING_END",
205    "millisecond": "3809466000000",
206    "date": "19-9-2090",
207    "summary": "Sadhesati Setting Phase ending and with this Sadhesati is also ending."
208  },
209  {
210    "moon_sign": "Aries",
211    "saturn_sign": "Gemini",
212    "is_saturn_retrograde": true,
213    "type": "SETTING_START",
214    "millisecond": "3812576400000",
215    "date": "25-10-2090",
216    "summary": "Sadhesati Setting Phase starting with Peak Phase ending."
217  },
218  {
219    "moon_sign": "Aries",
220    "saturn_sign": "Gemini",
221    "is_saturn_retrograde": false,
222    "type": "SETTING_END",
223    "millisecond": "3830547600000",
224    "date": "21-5-2091",
225    "summary": "Sadhesati Setting Phase ending and with this Sadhesati is also ending."
226  }
227]

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.